/**
 * Cette classe représente un compte en banque minimal
 * permettant de déposer et retirer de l'argent.
 * 
 * @author yunes
 *
 */
public class CompteEnBanque {
	private int depot; // stockage de la valeur du dépôt d'un compte en banque
	
	/**
	 * sert à obtenir un compte avec un dépôt initial nul.
	 */
	public CompteEnBanque() {
		depot = 0; // initialisation à zéro
	}
	/**
	 * sert à obtenir un compte avec un dépôt initial.
	 * @param valeurInitiale la valeur exprimée en euros
	 */
	public CompteEnBanque(int valeurInitiale) {
		depot = valeurInitiale;
	}
	
	/**
	 * ajoute une certaine somme au dépôt.
	 * @param somme à déposer (exprimée en euros).
	 */
	public void ajouter(int somme) {
		depot += somme;
		
	}
	
	/**
	 * retire la somme du dépôt.
	 * @param somme à retirer (exprimée en euros)
	 */
	public void retirer(int somme) {
		depot -= somme;		
	}
	
	/**
	 * retourne la valeur du dépôt.
	 * @return valeur du dépôt exprimée en euros.
	 */
	public int relever() {
		return depot;
	}
	
	/**
	 * fonction d'affichage d'un compte en banque.
	 * Surtout utilisé dans le contexte
	 * d'appel à des méthodes comme <code>println</code>
	 */
	public String toString() {
		return "C'est un compte en banque sur lequel il y a "+depot+"€";
	}
}
